summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-frameworks')
-rw-r--r--kde-frameworks/kio/Manifest1
-rw-r--r--kde-frameworks/kio/files/kio-5.82.0-no-cache-kcm.patch79
-rw-r--r--kde-frameworks/kio/files/kio-5.82.0-no-useragent-kcm.patch105
-rw-r--r--kde-frameworks/kio/kio-5.82.0.ebuild108
4 files changed, 293 insertions, 0 deletions
diff --git a/kde-frameworks/kio/Manifest b/kde-frameworks/kio/Manifest
index 1c3ff9164cb..ef0613e1c67 100644
--- a/kde-frameworks/kio/Manifest
+++ b/kde-frameworks/kio/Manifest
@@ -1,2 +1,3 @@
DIST kio-5.80.1.tar.xz 3318204 BLAKE2B 46657d0fb8ae95dd6208b0298c5444e79c0b041f3801dffd9d76078d778cbdfa7f7b1be7923d73a880f67d5365b18b834d75e246382f9727cea53375a9314a1a SHA512 c3080291d06956bd197e7104eacdfbab3e166fb5b598bc6c902c4e6ff9cc7922b59c2ae5acb2a565e61d2a6047ca09651446f0a41d268568b4cb192477969213
DIST kio-5.81.0.tar.xz 3319696 BLAKE2B 9ce742ecc5f00223b6dd2b4adc2a8591796c0553f027414112c5bf2bc67c4a93708d2710c822697fbe38eb17b2a154a026bcb05a8914fb7bdd33f7479268544b SHA512 e2466412eb6360dc93eace9f44c161c7ac44ce1339688e4b64cba8f716733552610374627dd3e99205aeea735f0144beb0468f429f238a6be05f91827ff9ee3b
+DIST kio-5.82.0.tar.xz 3330028 BLAKE2B be2d22adec291f8e5f6be5227d33e4ca505b43c3888174cfe667dc7fc3bf6d1a383178238540b4598028c61c51498e5d94f3ba3c7e354d82f8dfdf11f7c7fbd0 SHA512 a14f42a8c96fb8b1f435d4120805628f877132b588c2c1f983af6409603baffbcdad99f1c296fef99dd78fb7edbf526fd95f85970ccbf91887619eb5728cb3dc
diff --git a/kde-frameworks/kio/files/kio-5.82.0-no-cache-kcm.patch b/kde-frameworks/kio/files/kio-5.82.0-no-cache-kcm.patch
new file mode 100644
index 00000000000..9cc0379b699
--- /dev/null
+++ b/kde-frameworks/kio/files/kio-5.82.0-no-cache-kcm.patch
@@ -0,0 +1,79 @@
+From 581fab08ff4d5539e4684adcffc74ec3517ce29d Mon Sep 17 00:00:00 2001
+From: Nicolas Fella <nicolas.fella@gmx.de>
+Date: Thu, 6 May 2021 21:26:31 +0200
+Subject: [PATCH] Remove the cache KCM
+
+Same reasoning as for
+https://invent.kde.org/frameworks/kio/-/merge_requests/438.
+
+It is very targeted towards KIO-based browsers which don't really exist
+any more.
+
+The setting is also global to everything that uses KIO and it's a bit
+questionable whether for example webdav browsing in Dolphin should
+automatically have the same cache settings as network access in Choqok.
+
+It being part of system settings is also confusing for users since it
+gives the false impression of true globality. They might expect it to
+affect Firefox or Webengine-based Konqueror which it does not.
+---
+ docs/kcontrol5/CMakeLists.txt | 1 -
+ src/kcms/kio/CMakeLists.txt | 4 +-
+ src/kcms/kio/main.cpp | 4 +-
+ 3 files changed, 2 insertions(+), 7 deletions(-)
+
+diff --git a/docs/kcontrol5/CMakeLists.txt b/docs/kcontrol5/CMakeLists.txt
+index 2dd1ae16a..6c2f21b07 100644
+--- a/docs/kcontrol5/CMakeLists.txt
++++ b/docs/kcontrol5/CMakeLists.txt
+@@ -1,4 +1,3 @@
+-add_subdirectory(cache)
+ add_subdirectory(cookies)
+ add_subdirectory(netpref)
+ add_subdirectory(proxy)
+diff --git a/src/kcms/kio/CMakeLists.txt b/src/kcms/kio/CMakeLists.txt
+index 11cd239f2..5281fc7dc 100644
+--- a/src/kcms/kio/CMakeLists.txt
++++ b/src/kcms/kio/CMakeLists.txt
+@@ -12,11 +12,9 @@ set(kcm_kio_PART_SRCS
+ smbrodlg.cpp
+ kproxydlg.cpp
+ netpref.cpp
+- cache.cpp
+ ksaveioconfig.cpp)
+
+ ki18n_wrap_ui(kcm_kio_PART_SRCS
+- cache.ui
+ kproxydlg.ui
+ kcookiespolicies.ui
+ kcookiesmanagement.ui
+@@ -41,5 +39,5 @@ install(TARGETS kcm_kio DESTINATION ${KDE_INSTALL_PLUGINDIR} )
+
+ ########### install files ###############
+
+-install( FILES smb.desktop cookies.desktop cache.desktop
++install( FILES smb.desktop cookies.desktop
+ netpref.desktop proxy.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR} )
+diff --git a/src/kcms/kio/main.cpp b/src/kcms/kio/main.cpp
+index 8bacb10ca..2c0ebc29b 100644
+--- a/src/kcms/kio/main.cpp
++++ b/src/kcms/kio/main.cpp
+@@ -13,7 +13,6 @@
+ #include <KPluginFactory>
+
+ // Local
+-#include "cache.h"
+ #include "kcookiesmain.h"
+ #include "kproxydlg.h"
+ #include "netpref.h"
+@@ -21,7 +20,6 @@
+
+ K_PLUGIN_FACTORY(KioConfigFactory, registerPlugin<SMBRoOptions>(QStringLiteral("smb")); registerPlugin<KIOPreferences>(QStringLiteral("netpref"));
+ registerPlugin<KProxyDialog>(QStringLiteral("proxy"));
+- registerPlugin<KCookiesMain>(QStringLiteral("cookie"));
+- registerPlugin<CacheConfigModule>(QStringLiteral("cache"));)
++ registerPlugin<KCookiesMain>(QStringLiteral("cookie"));)
+
+ #include "main.moc"
+--
+GitLab
diff --git a/kde-frameworks/kio/files/kio-5.82.0-no-useragent-kcm.patch b/kde-frameworks/kio/files/kio-5.82.0-no-useragent-kcm.patch
new file mode 100644
index 00000000000..ce0e891e916
--- /dev/null
+++ b/kde-frameworks/kio/files/kio-5.82.0-no-useragent-kcm.patch
@@ -0,0 +1,105 @@
+From 1aa42558a0f539abfe4bc92cf2c8078ac4adb9a0 Mon Sep 17 00:00:00 2001
+From: Nicolas Fella <nicolas.fella@gmx.de>
+Date: Wed, 5 May 2021 22:27:25 +0200
+Subject: [PATCH] Remove the Browser Identification KCM
+
+It's purpose is to control the user agent used by kio-http.
+
+Very few things use kio-http these days, not even Konqueror with the
+webengine part.
+
+For the remaining use cases (kioclient, webdav kio worker, etc.) this
+kind of configurability is overkill.
+
+Moreover being part of systemsettings this gives a false impression of
+globality. A user might change something in there and wonder why it does
+not apply to Firefox or Falkon.
+
+Given the questionable usefulness and the potential for confusion I
+propose to remove it entirely.
+---
+ docs/kcontrol5/CMakeLists.txt | 1 -
+ src/kcms/kio/CMakeLists.txt | 18 +-
+ src/kcms/kio/main.cpp | 4 +-
+ 3 files changed, 2 insertions(+), 21 deletions(-)
+
+diff --git a/docs/kcontrol5/CMakeLists.txt b/docs/kcontrol5/CMakeLists.txt
+index 1b19e5e7b..2dd1ae16a 100644
+--- a/docs/kcontrol5/CMakeLists.txt
++++ b/docs/kcontrol5/CMakeLists.txt
+@@ -4,5 +4,4 @@ add_subdirectory(netpref)
+ add_subdirectory(proxy)
+ add_subdirectory(smb)
+ add_subdirectory(trash)
+-add_subdirectory(useragent)
+ add_subdirectory(webshortcuts)
+diff --git a/src/kcms/kio/CMakeLists.txt b/src/kcms/kio/CMakeLists.txt
+index a354651b0..11cd239f2 100644
+--- a/src/kcms/kio/CMakeLists.txt
++++ b/src/kcms/kio/CMakeLists.txt
+@@ -1,6 +1,4 @@
+
+-add_subdirectory( uasproviders )
+-
+ find_package(KF5TextWidgets ${KF_DEP_VERSION} REQUIRED)
+
+ ########### next target ###############
+@@ -12,31 +10,18 @@ set(kcm_kio_PART_SRCS
+ kcookiesmanagement.cpp
+ kcookiespolicyselectiondlg.cpp
+ smbrodlg.cpp
+- useragentdlg.cpp
+ kproxydlg.cpp
+- useragentinfo.cpp
+- useragentselectordlg.cpp
+ netpref.cpp
+ cache.cpp
+ ksaveioconfig.cpp)
+
+ ki18n_wrap_ui(kcm_kio_PART_SRCS
+ cache.ui
+- useragentselectordlg.ui
+- useragentdlg.ui
+ kproxydlg.ui
+ kcookiespolicies.ui
+ kcookiesmanagement.ui
+ kcookiespolicyselectiondlg.ui)
+
+-ecm_qt_export_logging_category(
+- IDENTIFIER KIO_USERAGENTDLG
+- CATEGORY_NAME kf.configwidgets.cms.kf.kio.useragentdlg
+- OLD_CATEGORY_NAMES kf5.kio.useragentdlg
+- DESCRIPTION "kio useragentdialog (KIO)"
+- EXPORT KIO
+-)
+-
+ add_library(kcm_kio MODULE ${kcm_kio_PART_SRCS})
+
+ target_link_libraries(kcm_kio
+@@ -56,6 +41,5 @@ install(TARGETS kcm_kio DESTINATION ${KDE_INSTALL_PLUGINDIR} )
+
+ ########### install files ###############
+
+-install( FILES smb.desktop cookies.desktop useragent.desktop cache.desktop
++install( FILES smb.desktop cookies.desktop cache.desktop
+ netpref.desktop proxy.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR} )
+-install( FILES uasprovider.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR} )
+diff --git a/src/kcms/kio/main.cpp b/src/kcms/kio/main.cpp
+index f1b065f46..8bacb10ca 100644
+--- a/src/kcms/kio/main.cpp
++++ b/src/kcms/kio/main.cpp
+@@ -18,10 +18,8 @@
+ #include "kproxydlg.h"
+ #include "netpref.h"
+ #include "smbrodlg.h"
+-#include "useragentdlg.h"
+
+-K_PLUGIN_FACTORY(KioConfigFactory, registerPlugin<UserAgentDlg>(QStringLiteral("useragent")); registerPlugin<SMBRoOptions>(QStringLiteral("smb"));
+- registerPlugin<KIOPreferences>(QStringLiteral("netpref"));
++K_PLUGIN_FACTORY(KioConfigFactory, registerPlugin<SMBRoOptions>(QStringLiteral("smb")); registerPlugin<KIOPreferences>(QStringLiteral("netpref"));
+ registerPlugin<KProxyDialog>(QStringLiteral("proxy"));
+ registerPlugin<KCookiesMain>(QStringLiteral("cookie"));
+ registerPlugin<CacheConfigModule>(QStringLiteral("cache"));)
+--
+GitLab
+
diff --git a/kde-frameworks/kio/kio-5.82.0.ebuild b/kde-frameworks/kio/kio-5.82.0.ebuild
new file mode 100644
index 00000000000..4f99cc9cee3
--- /dev/null
+++ b/kde-frameworks/kio/kio-5.82.0.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_DESIGNERPLUGIN="true"
+ECM_TEST="forceoptional"
+PVCUT=$(ver_cut 1-2)
+QTMIN=5.15.2
+VIRTUALX_REQUIRED="test"
+inherit ecm kde.org xdg-utils
+
+DESCRIPTION="Framework providing transparent file and data management"
+
+LICENSE="LGPL-2+"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="acl +handbook kerberos +kwallet X"
+
+# tests hang
+RESTRICT+=" test"
+
+RDEPEND="
+ dev-libs/libxml2
+ dev-libs/libxslt
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtdeclarative-${QTMIN}:5
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtnetwork-${QTMIN}:5[ssl]
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ >=dev-qt/qtxml-${QTMIN}:5
+ =kde-frameworks/kauth-${PVCUT}*:5
+ =kde-frameworks/karchive-${PVCUT}*:5
+ =kde-frameworks/kbookmarks-${PVCUT}*:5
+ =kde-frameworks/kcodecs-${PVCUT}*:5
+ =kde-frameworks/kcompletion-${PVCUT}*:5
+ =kde-frameworks/kconfig-${PVCUT}*:5
+ =kde-frameworks/kconfigwidgets-${PVCUT}*:5
+ =kde-frameworks/kcoreaddons-${PVCUT}*:5
+ =kde-frameworks/kcrash-${PVCUT}*:5
+ =kde-frameworks/kdbusaddons-${PVCUT}*:5
+ =kde-frameworks/kguiaddons-${PVCUT}*:5
+ =kde-frameworks/ki18n-${PVCUT}*:5
+ =kde-frameworks/kiconthemes-${PVCUT}*:5
+ =kde-frameworks/kitemviews-${PVCUT}*:5
+ =kde-frameworks/kjobwidgets-${PVCUT}*:5
+ =kde-frameworks/knotifications-${PVCUT}*:5
+ =kde-frameworks/kservice-${PVCUT}*:5
+ =kde-frameworks/ktextwidgets-${PVCUT}*:5
+ =kde-frameworks/kwidgetsaddons-${PVCUT}*:5
+ =kde-frameworks/kwindowsystem-${PVCUT}*:5
+ =kde-frameworks/kxmlgui-${PVCUT}*:5
+ =kde-frameworks/solid-${PVCUT}*:5
+ acl? (
+ sys-apps/attr
+ virtual/acl
+ )
+ handbook? ( =kde-frameworks/kdoctools-${PVCUT}*:5 )
+ kerberos? ( virtual/krb5 )
+ kwallet? ( =kde-frameworks/kwallet-${PVCUT}*:5 )
+ X? ( >=dev-qt/qtx11extras-${QTMIN}:5 )
+"
+DEPEND="${RDEPEND}
+ >=dev-qt/qtconcurrent-${QTMIN}:5
+ test? ( sys-libs/zlib )
+ X? (
+ x11-base/xorg-proto
+ x11-libs/libX11
+ x11-libs/libXrender
+ )
+"
+PDEPEND="
+ >=kde-frameworks/kded-${PVCUT}:5
+"
+
+PATCHES=(
+ # pending https://invent.kde.org/frameworks/kio/-/merge_requests/426
+ "${FILESDIR}"/${PN}-5.81.0-fix-qtconcurrent-private-link.patch # bug 784971
+ # git master/KIO 5.83:
+ "${FILESDIR}"/${P}-no-useragent-kcm.patch
+ "${FILESDIR}"/${P}-no-cache-kcm.patch
+)
+
+src_prepare() {
+ ecm_src_prepare
+ rm -rf po/*/docs/kcontrol5/{cache,useragent} || die # superfluous docs
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake_use_find_package acl ACL)
+ $(cmake_use_find_package handbook KF5DocTools)
+ $(cmake_use_find_package kerberos GSSAPI)
+ $(cmake_use_find_package kwallet KF5Wallet)
+ $(cmake_use_find_package X X11)
+ )
+
+ ecm_src_configure
+}
+
+pkg_postinst() {
+ ecm_pkg_postinst
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ ecm_pkg_postrm
+ xdg_desktop_database_update
+}